#version 330 core
layout (location = 0) in vec3 pos;
out float Height;
uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;

void main() {
    Height = pos.y;
    gl_Position = projection * view * model * vec4(pos, 1.0);
}
